Bug 308351 - Certain screensavers lock up my latop
Certain screensavers lock up my latop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 02:08 EDT by Thomas Cameron
Modified: 2008-01-15 09:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sysreport for my laptop (1022.28 KB, application/x-bzip2)
2007-09-27 02:08 EDT, Thomas Cameron
no flags Details
Xorg.0.log from sysreport (68.80 KB, text/plain)
2007-09-27 09:22 EDT, Matěj Cepl
no flags Details
xorg.conf from sysreport (810 bytes, text/plain)
2007-09-27 09:26 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Thomas Cameron 2007-09-27 02:08:09 EDT
Description of problem:
I installed xscreensaver-extras-5.03-1.fc6.1 and set my laptop up to do random
screensavers.  After running overnight, I found my laptop locked up and
unresponsive.

I ran each screen saver on my laptop to determine which ones were causing
problems, and I found that these four will peg the CPU at 100% and render my
machine unresponsive:

IMSmap
Interaggregate
Vermiculate
WhirlwindWarp

Version-Release number of selected component (if applicable):
xscreensaver-extras-5.03-1.fc6.1

How reproducible:
Run the above screensaver

Actual results:
Laptop locks up - it is unresponsive from the keyboard but the mouse still works.

Expected results:
No lockup.

Additional info:
This is a Lenovo Thinkpad T60 with Intel Corporation Mobile 945GM/GMS/940GML
Express Integrated Graphics Controller (rev 03)

Note that I installed the xscreensaver packages from FC6 on RHEL 5, but I tested
with FC6 as well and it does the same thing there.
Comment 1 Thomas Cameron 2007-09-27 02:08:09 EDT
Created attachment 207841 [details]
sysreport for my laptop
Comment 2 Mamoru TASAKA 2007-09-27 07:25:38 EDT
Once reassign to X. Xgl maintainers, would you help?
Comment 3 Matěj Cepl 2007-09-27 09:22:37 EDT
Created attachment 208421 [details]
Xorg.0.log from sysreport
Comment 4 Matěj Cepl 2007-09-27 09:26:38 EDT
Created attachment 208431 [details]
xorg.conf from sysreport
Comment 5 Matěj Cepl 2007-12-10 04:24:19 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 6 Matěj Cepl 2008-01-15 09:39:29 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.